Bug 201708 - [71cat] provide VCS history in editor history tab
[71cat] provide VCS history in editor history tab
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Code
7.0
PC Windows 7
: P1 with 1 vote (vote)
: 7.2
Assigned To: Tomas Stupka
issues@versioncontrol
: PLAN
Depends on: 207126
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-06 20:41 UTC by javydreamercsw
Modified: 2012-02-02 15:29 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description javydreamercsw 2011-09-06 20:41:50 UTC
Product Version = NetBeans IDE Dev (Build 201109060600)
Operating System = Windows 7 version 6.1 running on x86
Java; VM; Vendor = 1.7.0
Runtime = Java HotSpot(TM) Client VM 21.0-b17

I love to see the local history button on top of the editor when you have a file opened. It’s so convenient! Would be nice to be able to configure a project so it adds the versioning system button there as well.
Comment 1 Ondrej Vrabec 2011-09-07 06:30:44 UTC
We actually plan to merge vcs history with the local history and have both in the history tab.
Comment 2 javydreamercsw 2011-09-07 13:06:18 UTC
That's even better. I suggested an additional button for the following reasons:

1) Having local and remote history on the same panel might be confusing (unless local and remote history entries are clearly identified)
2) Local history will be a lot faster than remote in most cases. So if you only want local history you might need to wait for the remote one anyway?
3) Different purposes for each. In my case local history is to see what I have done throught the day, remote is for "official" changes.
4) What if remote is not available?
Comment 3 javydreamercsw 2011-12-05 19:09:04 UTC
I believe this can be closed?
Comment 4 Tomas Stupka 2011-12-05 20:13:52 UTC
(In reply to comment #3)
> I believe this can be closed?
no, we plan to do it - http://wiki.netbeans.org/EditorHistoryTabUI#History_View
Comment 5 Tomas Stupka 2012-02-02 15:29:00 UTC
fixed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo